commit: ccef78af5269295079f509eb7535b6609eba0abd
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 26 09:21:00 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jan 26 09:21:00 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ccef78af
dev-python/construct: Bump to 2.10.57
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/construct/Manifest | 1 +
dev-python/construct/construct-2.10.57.ebuild | 36 +++++++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-python/construct/Manifest b/dev-python/construct/Manifest
index 669e2ab0547..b18eb085aea 100644
--- a/dev-python/construct/Manifest
+++ b/dev-python/construct/Manifest
@@ -1 +1,2 @@
DIST construct-2.10.56.tar.gz 1184110 BLAKE2B
01ce1800970826ae3584a9733de171e04dd926e7d19d8b48b4364406b4aa0f4d878ec52f9a7f755bb249aeeaca75ae6221d6bdf302d4342d4974d268b1782175
SHA512
cc9aa126c26a017a3fb7b78a6b8f2056194028a44c8ed615a6dc4a445d50f0463e2de0b80810ab5a252070925a56b5a61dbb601a3de9e445d861356231a146d5
+DIST construct-2.10.57.tar.gz 1184585 BLAKE2B
abaeebf5872cc97cc67d47cf79370fecdb1abafb62fa80b6acfa63de9087f70fa67fd69e90ab4e78e7ac179c1bb1011529e34201c3c2270e1a2651c97cc678b2
SHA512
ef2f0bbcf4cbcf4862033b16ccb428f84d63ca5c867157b47e38b441cb439c953b543cf69f352c0542525fd07b37d1b3b68910ae5331c482e75b4af937e116a1
diff --git a/dev-python/construct/construct-2.10.57.ebuild
b/dev-python/construct/construct-2.10.57.ebuild
new file mode 100644
index 00000000000..e67bd28cd5e
--- /dev/null
+++ b/dev-python/construct/construct-2.10.57.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="A powerful declarative parser for binary data"
+HOMEPAGE="https://construct.readthedocs.io/en/latest/
https://pypi.org/project/construct/"
+SRC_URI="https://github.com/construct/construct/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/arrow[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.15.4[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+ rm tests/test_benchmarks.py || die
+}
+
+pkg_postinst() {
+ ewarn "Version 2.10.x has significant API and implementation changes
from"
+ ewarn "previous 2.9.x releases. Please read the documentation at"
+ ewarn "https://construct.readthedocs.io/en/latest/transition210.html"
+ ewarn "for more info."
+}